Mise à jour Jitsi Meet dans LXC

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Mise à jour Jitsi Meet dans LXC

Raphaël POITEVIN
Bonjour,

Buster + LXC en non privilégié.

La mise à jour de Jitsi Meet dépend désormais de coturn. Celle-ci échoue
car coturn ne démare pas :
# journalctl -xe
coturn.service: Failed to set up mount namespacing: Permission denied

Je ne vois pas plus d’infos pouvant m’aider dans le journal.

Un grand merci,
--
Raphaël POITEVIN
www.leclavierquibave.fr

Reply | Threaded
Open this post in threaded view
|

Re: Mise à jour Jitsi Meet dans LXC

NoSpam-4
https://github.com/jitsi/jitsi-meet/issues/5529

Le 04/04/2020 à 15:59, Raphaël POITEVIN a écrit :

> Bonjour,
>
> Buster + LXC en non privilégié.
>
> La mise à jour de Jitsi Meet dépend désormais de coturn. Celle-ci échoue
> car coturn ne démare pas :
> # journalctl -xe
> coturn.service: Failed to set up mount namespacing: Permission denied
>
> Je ne vois pas plus d’infos pouvant m’aider dans le journal.
>
> Un grand merci,

Reply | Threaded
Open this post in threaded view
|

Re: Mise à jour Jitsi Meet dans LXC

Raphaël POITEVIN
NoSpam <[hidden email]> writes:
> https://github.com/jitsi/jitsi-meet/issues/5529

Merci pour l’indication. Cependant, ça ne semble pas être le même
problème.

Cordialement,
--
Raphaël
www.leclavierquibave.fr

Reply | Threaded
Open this post in threaded view
|

Re: Mise à jour Jitsi Meet dans LXC

didier gaumet-2

Avertissement: je n'ai aucune expérience de lxc (ni AppArmor) ni de ce
genre de situation.

Une recherche sur internet semble indiquer (enfin, c'est ce que je
comprends, peut-être bien à tort) que c'est le genre de souci courant en
mode unpriviledged, que peut-être systemd a durci ses contrôles à une
certaine époque et que ça pourrait éventuellement se régler avec
AppArmor (par défaut sous Buster ou Selinux si tu l'as installé)

cf:
- un problème similaire au tien (même si sur le lancement de OpenVPN
plutôt que Coturn)
 https://www.mail-archive.com/search?l=debian-user@...&q=subject:%22permission+denied%22&o=newest&f=1
- la page man de systemd.exec
 https://www.freedesktop.org/software/systemd/man/systemd.exec.html
- le wiki Debian AppArmor
  https://wiki.debian.org/AppArmor/HowToUse

Reply | Threaded
Open this post in threaded view
|

résolu Re: Mise à jour Jitsi Meet dans LXC

Raphaël POITEVIN
didier gaumet <[hidden email]> writes:
> Une recherche sur internet semble indiquer (enfin, c'est ce que je
> comprends, peut-être bien à tort) que c'est le genre de souci courant en
> mode unpriviledged, que peut-être systemd a durci ses contrôles à une
> certaine époque et que ça pourrait éventuellement se régler avec
> AppArmor (par défaut sous Buster ou Selinux si tu l'as installé)

Bien vu. Jamais installé mais il est venu certainement à l’upgrade entre
stretch et buster.

Je l’ai désactivé temporairement pour tester et la mise à jour est
passée. Bon sauf que plus rien ne marche, plus de transmission ni en
local ni depuis l’extérieur, mais ça c’est autre chose.

Merci,
--
Raphaël
www.leclavierquibave.fr